Package org.drinkless.tdlib

# Class TdApi.UpdateFileAddedToDownloads

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateFileAddedToDownloads

Enclosing class:
  TdApi

public static class TdApi.UpdateFileAddedToDownloads extends TdApi.Update
A file was added to the file download list. This update is sent only after file download list is loaded for the first time.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DownloadedFileCounts`
  `counts`
  New number of being downloaded and recently downloaded files found.
  `TdApi.FileDownload`
  `fileDownload`
  The added file download.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFileAddedToDownloads()`
  A file was added to the file download list.
  `UpdateFileAddedToDownloads(TdApi.FileDownload fileDownload, TdApi.DownloadedFileCounts counts)`
  A file was added to the file download list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileDownload

    public TdApi.FileDownload fileDownload
    The added file download.

  - ### counts

    public TdApi.DownloadedFileCounts counts
    New number of being downloaded and recently downloaded files found.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateFileAddedToDownloads

    public UpdateFileAddedToDownloads()
    A file was added to the file download list. This update is sent only after file download list is loaded for the first time.

  - ### UpdateFileAddedToDownloads

    public UpdateFileAddedToDownloads(TdApi.FileDownload fileDownload, TdApi.DownloadedFileCounts counts)
    A file was added to the file download list. This update is sent only after file download list is loaded for the first time.
    Parameters:
      `fileDownload` - The added file download.
      `counts` - New number of being downloaded and recently downloaded files found.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR